/Users/bernard/b20/bsoft/src/bsupix.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bsupix.cpp - Segment images.

SYNOPSIS

#include 'rwimg.h'
#include 'options.h'
#include 'utilities.h'
#include 'timer.h'

  Functions
vector< Bsuperpixel > superpixel_from_json (JSvalue &root)
JSvalue json_from_superpixel (vector< Bsuperpixel > &seg)
int main (int argc, char *argv[])
JSvalue jsvalue_from_neighbors (Bsuperpixel &sp)

  Variables
int verbose
const char * use []

Detailed Description

Segment images.

Author:
    Bernard Heymann

Date:
    Created: 20160320

    Modified: 20190314

Definition in file bsupix.cpp.

Function Documentation

  JSvalue json_from_superpixel (vector< Bsuperpixel > & seg)

Definition at line 237 of file bsupix.cpp.

  JSvalue jsvalue_from_neighbors (Bsuperpixel & sp)

Definition at line 226 of file bsupix.cpp.

  int main (int argc, char * argv[])

Definition at line 60 of file bsupix.cpp.

  vector< Bsuperpixel > superpixel_from_json (JSvalue & root)

Definition at line 198 of file bsupix.cpp.

Variable Documentation

  const char* use[]

Definition at line 22 of file bsupix.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.